Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 88026

Summary: (IDE VIA)ide errors in messages log file
Product: [Retired] Red Hat Linux Reporter: Justin Albstmeijer <justin>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: alan, b-nordquist, ivo
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-08-22 19:59:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Justin Albstmeijer 2003-04-04 19:29:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:

I have two Maxtor 6Y080L0 ide drives connected to a VIA vt8235.
Both drives are cofigured as primary on the two channels. (hda,hdc)
They are configured as a software raid1 device.

This are the errors I see in de messages file... what does it mean?

kernel: hda: dma_timer_expiry: dma status == 0x21
kernel: hda: timeout waiting for DMA
kernel: hda: timeout waiting for DMA
kernel: hda: (__ide_dma_test_irq) called while not waiting
kernel: hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
kernel: hda: drive not ready for command
kernel: blk: queue c03be900, I/O limit 4095Mb (mask 0xffffffff)

Version-Release number of selected component (if applicable):
2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. startup linux
2. watch the /var/log/messages file
3.
    

Actual Results:  
see the errors mentioned at the Description

Expected Results:  
No IDE erros

Additional info:

Comment 1 Brent Nordquist 2003-04-22 17:15:22 UTC
I have the exact same error, except dma status == 0x20

I have one Maxtor, one Quantum IDE drives.
Both drives are cofigured as primary on the two channels. (hda,hdc)
There are two software RAID 1 devices split across the two drives.

DMA is on, would turning it off help?

Comment 2 Alan Cox 2003-04-30 13:54:41 UTC
A command timed out - it may be a lost IRQ, it may be recalibration/recovery
delays. With current IDE code its not a problem and we correctly retry it and
recover. Old SMP code was buggy and could hang here in specific cases

So the trace is the IDE equivalent of

"Hello ?"
"Hello ?"
"Ah there you are"


Comment 3 Justin Albstmeijer 2003-05-01 11:18:59 UTC
The error mentioned above caused my system to stop responding after installing
some (redhat 9 updates) bigger rpms.
Reinstalled system and tried the rpm updates again, with the same result.
After a reboot the ide error was the last message in /var/log/messages 

Changed to two IBM IC35L080AVVA07 drives.

Now one drive gives the same error as above.. the other works without errors.
The drive that gives the error can not be set to DMA mode.. with the command
'hdparm -d1 /dev/hda' I'm getting the same error messages.

Used the IBM harddisk test software to find out if it could find a problem. But
both drives just passed all tests. 

http://www.hgst.com/hdd/support/download.htm
Drive Fitness Test and Feature Tool.

Jus some additional motherboard info:

DFI AD77 infinity with a kt400 chipset.

Comment 4 Justin Albstmeijer 2003-06-09 10:25:55 UTC
After replacing the harddisks 1by1, I have found working combinations:

One of the IBM IC35L080AVVA07 had one connection pin that was half the lenght it
should be, so it just did not make any contact. Strangly enough the IBM test
software did not find any problem with te drive. After replacing this drive all
worked fine.

Also one of the maxtor drives seemed to have a problem.
The problem only occoured in a software raid setup when copying large files.
Standalone the problem could not be reproduced. 
The maxtor test did not find anything.
After replacing this drive all worked fine.